gr::gsm::tch_f_decoder Class Reference

<+description of block+> More...

`#include <tch_f_decoder.h>`

Inheritance diagram for gr::gsm::tch_f_decoder:

## Public Types

typedef std::shared_ptr< tch_f_decoder > | sptr

## Static Public Member Functions

static sptr | make (tch_mode mode, bool boundary_check=false)
| Return a shared_ptr to a new instance of gsm::tch_f_decoder.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<tch_f_decoder> gr::gsm::tch_f_decoder::sptr

## Member Function Documentation

## make()

sptr gr::gsm::tch_f_decoder::make | ( | tch_mode | mode,
|  | bool | boundary_check = false )

static

Return a shared_ptr to a new instance of gsm::tch_f_decoder.

To avoid accidental use of raw pointers, gsm::tch_f_decoder's constructor is in a private implementation class. gsm::tch_f_decoder::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- tch_f_decoder.h